Page MenuHomePhabricator

Scroll-past-infobox code not working anymore
Closed, ResolvedPublic

Description

Probably due to our change to place a selection at the start of the document when it loads.

(Regression of T225936)

Details

Related Gerrit Patches:

Event Timeline

Esanders created this task.Sep 5 2019, 6:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 5 2019, 6:18 PM

Change 534652 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Mobile surfaceReady: Account for selection changing in listeners

https://gerrit.wikimedia.org/r/534652

Change 534654 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/MobileFrontend@master] VE: Set model selection as well when scrolling past infobox to lede

https://gerrit.wikimedia.org/r/534654

Esanders updated the task description. (Show Details)Sep 5 2019, 6:58 PM

Change 534652 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Mobile surfaceReady: Account for selection changing in listeners

https://gerrit.wikimedia.org/r/534652

Change 534654 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] VE: Set model selection as well when scrolling past infobox to lede

https://gerrit.wikimedia.org/r/534654

matmarex moved this task from Inbox to High Priority on the Editing QA board.Sep 9 2019, 10:57 PM

@Esanders: By "Scroll-past-infobox code" do you mean the dragging the selection over the infobox was not working. Can you check the screen capture and confirm if this looks fixed?

https://drive.google.com/open?id=1MAtwv724iLafBZPDE0QJlVHF_yBByvF0

Ryasmeen moved this task from QA to Stalled/Waiting on the VisualEditor (Current work) board.

@Ryasmeen No, it was only about the initial scroll position when the page loads. The lead paragraph is supposed to be at the top of the viewport. The first ~5 seconds of your recording show that this is working correctly.

The rest of your recording shows some selection issue that I don't think we have filed yet. I filed a separate task for it: T233450.

ppelberg closed this task as Resolved.Nov 23 2019, 1:44 AM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptNov 23 2019, 1:44 AM